### Method

# PangoFc FontMap set_default_substitute

#### Declaration [src]

    void
    pango_fc_font_map_set_default_substitute (
      PangoFcFontMap* fontmap,
      PangoFcSubstituteFunc func,
      gpointer data,
      GDestroyNotify notify
    )

#### Description [src]

Sets a function that will be called to do final configuration substitution on a `FcPattern` before it is used to load the font.

This function can be used to do things like set hinting and antialiasing options.

Available since: | 1.48

#### Parameters

`func` | `PangoFcSubstituteFunc`
| Function to call to to do final config tweaking on `FcPattern` objects.
`data` | `gpointer`
| Data to pass to `func`.
`notify` | `GDestroyNotify`
| Function to call when `data` is no longer used.